#-*- coding: utf-8 -*-

"""Command for contacts importation"""

from optparse import make_option

from django.core.management.base import BaseCommand

from acomea.event.models import Event, Invite
from acomea.event.utils import send_event_reminder


class Command(BaseCommand):
    """..."""
    help = 'Test resend event invites'
    option_list = BaseCommand.option_list + (
        make_option('-e', '--event', dest='event', help='Event id', default=None),
    )

    def handle(self, *scripts, **opts):
        event_id = opts.get('event')
        event = Event.objects.get(id=19)
        contact_emails = [
            'cinzia.piglione@fastwebnet.it',
            'c.nassi@lycos.com',
            'criforn@tiscali.it',
            'giorgio_groppi@yahoo.it',
            'msz31@katamail.com',
            'giogatto@fastwebnet.it',
            'guido.galimberti@corsicef.it',
            'giovanni.frigieri@gmail.com',
            'marina@marinarossetto.it',
            'mc2001@email.it',
            'valeria.montagna@fastwebnet.it',
            'cinzia.marzioni@gmail.com',
            'tartalinda@gmail.com',
            'clelia.bertello@gmail.com',
            'giulia_lasen@yahoo.it',
            'info@marcaclac.it',
            'elvines.lodrini@chemprod.it',
        ]
        event_sending_values = send_event_reminder(
            event, test=False, check_can_create=False,
            contact_emails=contact_emails,
        )