# -*- coding: utf-8 -*-
"""
ajax module for acomea.event
"""
from dajax.core import Dajax
from dajaxice.decorators import dajaxice_register

from acomea.event.models import EventQuestion, EventContactQuestion


@dajaxice_register
def on_click_event_question_enabled(request, *args, **kwargs):
    dajax = Dajax()
    try:
        element = kwargs['acomea_event_eventquestion']
        eventquestion_id = element.split('_')[-1]
        eventquestion = EventQuestion.objects.get(id=eventquestion_id)
        eventquestion.enabled = not eventquestion.enabled
        eventquestion.save()
        image = """<img alt="False" src="/static/admin/img/icon-%s.gif">""" % (
            'yes' if eventquestion.enabled else 'no'
        )
        dajax.assign("#" + element, 'innerHTML', image)
    except Exception, e:
        print e
    return dajax.json()


@dajaxice_register
def on_click_event_question_required(request, *args, **kwargs):
    dajax = Dajax()
    try:
        element = kwargs['acomea_event_requiredquestion']
        eventquestion_id = element.split('_')[-1]
        eventquestion = EventQuestion.objects.get(id=eventquestion_id)
        eventquestion.required = not eventquestion.required
        eventquestion.save()
        image = """<img alt="False" src="/static/admin/img/icon-%s.gif">""" % (
            'yes' if eventquestion.required else 'no'
        )
        dajax.assign("#" + element, 'innerHTML', image)
    except Exception, e:
        print e
    return dajax.json()


@dajaxice_register
def on_click_event_contact_question_enabled(request, *args, **kwargs):
    dajax = Dajax()
    try:
        element = kwargs['acomea_event_contact_question_enabled']
        eventquestion_id = element.split('_')[-1]
        eventquestion = EventContactQuestion.objects.get(id=eventquestion_id)
        eventquestion.enabled = not eventquestion.enabled
        eventquestion.save()
        image = """<img alt="False" src="/static/admin/img/icon-%s.gif">""" % (
            'yes' if eventquestion.enabled else 'no'
        )
        dajax.assign("#" + element, 'innerHTML', image)
    except Exception, e:
        print e
    return dajax.json()


@dajaxice_register
def on_click_event_contact_question_required(request, *args, **kwargs):
    dajax = Dajax()
    try:
        element = kwargs['acomea_event_contact_question_required']
        eventquestion_id = element.split('_')[-1]
        eventquestion = EventContactQuestion.objects.get(id=eventquestion_id)
        eventquestion.required = not eventquestion.required
        eventquestion.save()
        image = """<img alt="False" src="/static/admin/img/icon-%s.gif">""" % (
            'yes' if eventquestion.required else 'no'
        )
        dajax.assign("#" + element, 'innerHTML', image)
    except Exception, e:
        print e
    return dajax.json()