# -*- coding: utf-8 -*- 
from itertools import chain
import autocomplete_light

from acomea.contact.models import Contact
from acomea.event.models import Event, Invite


class EventAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ['name', 'event_date_start']
    choices = Event.objects.all()


class ContactAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ['first_name', 'last_name']
    choices = Contact.objects.all()
     
autocomplete_light.register(ContactAutocomplete)
autocomplete_light.register(EventAutocomplete)