# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse

from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

event_menu_item = items.MenuItem(
    # GENERAL
    _('Event'), 
    reverse('admin:app_list', kwargs={'app_label': 'event'}),
    children=[
        items.MenuItem(
            _('Event'), '',
            children=[
                items.MenuItem(_('Add Event'), reverse('admin:event_event_add',)), 
                items.MenuItem(_('Event List'), reverse('admin:event_event_changelist',)),
            ]
        ),
    ]
)


register_menu(event_menu_item, 'acomea.event')
