#-*- coding: utf-8 -*-

"""Command for contacts importation"""

from optparse import make_option

from django.core.management.base import BaseCommand

from acomea.event.models import Event, Invite
from acomea.event.utils import resend_event_invites


class Command(BaseCommand):
    """..."""
    help = 'Test resend event invites'
    option_list = BaseCommand.option_list + (
        make_option('-e', '--event', dest='event', help='Event id', default=None),
    )

    def handle(self, *scripts, **opts):
        event_id = opts.get('event')
        if event_id:
            event = Event.objects.get(pk=event_id)
            resend_event_invites(event, test=True, is_task=False)
        else:
            print "Specificare l'id dell'evento per il quale effettuare il reinvio degli inviti! (-e)"