# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

CONTACT_CMSAPPS_ACCEPT_INVITE_EMAIL_TEMPLATE = "event/cms_apps/accept_invite_email.html"
CONTACT_CMSAPPS_DECLINE_INVITE_EMAIL_TEMPLATE = "event/cms_apps/decline_invite_email.html"

#: settings for upload to
ACOMEA_EVENT_BODY_IMAGE_UPLOAD_TO = "SKIN/%Y/%m/%d"

# event translation default email
ACOMEA_EVENT_TRANSLATION_DEFAULT_EMAIL = "email@example.org"

#: settings invite choices
ACOMEA_EVENT_INVITE_ACCEPTED = 1
ACOMEA_EVENT_INVITE_DECLINED = 0

ACOMEA_EVENT_INVITE_STATUS_CODES = (
    (ACOMEA_EVENT_INVITE_ACCEPTED, _('Accepted')),
    (ACOMEA_EVENT_INVITE_DECLINED, _('Declined')),
)

ACOMEA_EVENT_INVITE_STEP_CHOICES = (
    ('adhesion', _('Adhesion')),
    ('greetings', _('Greetings')),
)

ACOMEA_EVENT_CMSPLUGIN_PRESENTATION_TEMPLATES = (
    ("event/cms_plugins/presentation.html", _("presentation template"),),
)

ACOMEA_EVENT_CMSPLUGIN_PRESENTATION_CLASSES = (
    ("acomea.event.cms.forms.PresentationForm", _("Presentation form"),),
)

ACOMEA_EVENT_CMSPLUGIN_SCHEDULE_TEMPLATES = (

)

ACOMEA_EVENT_CMSPLUGIN_SCHEDULE_CLASSES = (

)

ACOMEA_EVENT_CMSPLUGIN_ADHESION_TEMPLATES = (

)

ACOMEA_EVENT_CMSPLUGIN_ADHESION_CLASSES = (

)

ACOMEA_EVENT_CMSPLUGIN_GREETINGS_TEMPLATES = (

)

ACOMEA_EVENT_CMSPLUGIN_GREETINGS_CLASSES = (

)

ACOMEA_EVENT_CMSPLUGIN_REGISTER_TEMPLATES = (

)

ACOMEA_EVENT_CMSPLUGIN_REGISTER_CLASSES = (

)

ACOMEA_EVENT_CMSPLUGIN_DECLINE_TEMPLATES = (

)

ACOMEA_EVENT_CMSPLUGIN_DECLINE_CLASSES = (

)

ACOMEA_EVENT_TEMPLATE_PATH = "invite_templates"

#: Setting per impostare la pagina sotto la quale trovare le landing page
ACOMEA_EVENT_INVITE_PAGE_SLUG = "invite-landing-pages"


ACOMEA_EVENT_CONTACT_QUESTION_CONTACT_FIELD_CHOICES = (
    ('addresses', _('addresses')),
    ('auth_materiale_commerciale', _('auth_materiale_commerciale')),
    ('auth_societa_terze', _('auth_societa_terze')),
    ('auth_trattamento_dati', _('auth_trattamento_dati')),
    ('birth_date', _('birth_date')),
    ('bonifica', _('bonifica')),
    ('category', _('category')),
    ('emails', _('emails')),
    ('first_name', _('first_name')),
    ('groups', _('groups')),
    ('interests', _('interests')),
    ('last_name', _('last_name')),
    ('network', _('network')),
    ('note', _('note')),
    ('organization', _('organization')),
    ('phones', _('phones')),
    ('products', _('products')),
    ('profiles', _('profiles')),
    ('role', _('role')),
    ('source', _('source')),
    ('ssn', _('ssn')),
    ('title', _('title')),
    ('url', _('url')),
)


ACOMEA_EVENT_EVENTQUESTION_POSITION_CHOICES = (
    ("top", _("Top")),
    ("bottom", _("Bottom")),
)